View Issue Details

IDProjectCategoryView StatusLast Update
13370Bug reports[All Projects] Survey takingpublic2018-02-21 16:38
ReporterNL3limin4t0rAssigned Toc_schmitz 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.4.x 
Summary13370: When submitting an invalid token an error is displayed twice.
Description

When submitting an invalid token an error is displayed twice.

Steps To Reproduce

1) Create a valid survey (at least one question group & one question).
2) Initialize a the participation table.
3) Create a valid participant.
4) Preview the survey.
5) Enter an invalid token.

Additional Information

The problem is present with every survey theme.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Versie 3.3.1+180214
I will donate to the project if issue is resolvedNo
BrowserFirefox Quantum 58.0.1 (64-bit)
Database & DB-Versionmysql Ver 15.1 Distrib 10.2.12-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2
Server OS (if known)Ubuntu 17.10
Webserver software & version (if known)Server version: Apache/2.4.27 (Ubuntu), Server built: 2017-09-18T15:05:48
PHP VersionPHP 7.1.11-0ubuntu0.17.10.1 (cli) (built: Nov 1 2017 16:30:52) ( NTS )

Activities

NL3limin4t0r

NL3limin4t0r

2018-02-16 18:18

reporter   ~46568

https://github.com/LimeSurvey/LimeSurvey/pull/1007

c_schmitz

c_schmitz

2018-02-21 12:41

administrator   ~46650

Thank you!

c_schmitz

c_schmitz

2018-02-21 12:45

administrator   ~46652

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26532

Related Changesets

LimeSurvey: master 7396f452

2018-02-21 12:41:00

NL3limin4t0r


Committer: c_schmitz Details Diff
Fixed issue 13370: When submitting an invalid token an error is displayed twice.

Dev Unnecessary token check. This is already done a few line below.
Affected Issues
13370
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2018-02-16 18:04 NL3limin4t0r New Issue
2018-02-16 18:18 NL3limin4t0r Note Added: 46568
2018-02-21 12:41 c_schmitz Assigned To => c_schmitz
2018-02-21 12:41 c_schmitz Status new => resolved
2018-02-21 12:41 c_schmitz Resolution open => fixed
2018-02-21 12:41 c_schmitz Fixed in Version => 3.4.x
2018-02-21 12:41 c_schmitz Note Added: 46650
2018-02-21 12:45 c_schmitz Changeset attached => LimeSurvey master 7396f452
2018-02-21 12:45 c_schmitz Note Added: 46652
2018-02-21 16:38 ollehar Status resolved => closed